Skip to content

Instantly share code, notes, and snippets.

zhenkyle

Block or report user

Report or block zhenkyle

Hide content and notifications from this user.

Learn more about blocking users

Contact Support about this user’s behavior.

Learn more about reporting abuse

Report abuse
View GitHub Profile
View aruba steps.txt
0.0000000 /^I get help for "([^"]*)"$/ # features/step_definitions/cli_setup.rb:1
NOT MATCHED BY ANY STEPS
0.0000000 /^I'm using a clean gemset "([^"]*)"$/ # aruba-0.14.2/lib/aruba/cucumber/rvm.rb:1
NOT MATCHED BY ANY STEPS
0.0000000 /^the test(?:s)? should( not)?(?: all)? pass with( regex)?:$/ # aruba-0.14.2/lib/aruba/cucumber/testing_frameworks.rb:81
NOT MATCHED BY ANY STEPS
0.0000000 /^the tests(?:s)? should( not)?(?: all)? pass(?: with (\d+) failures?)?$/ # aruba-0.14.2/lib/aruba/cucumber/testing_frameworks.rb:65
NOT MATCHED BY ANY STEPS
@zhenkyle
zhenkyle / gist:897e59e1479eee8b6c66be45805ea14d
Created May 6, 2016
Solving intel_rapl: no valid rapl domains found in package 0 on ArchLinux Guest on Virualbox
View gist:897e59e1479eee8b6c66be45805ea14d
### Problem
On Archlinux
`journalctl -p 3 -xb`
shows
`intel_rapl: no valid rapl domains found in package 0`
### Slove
@zhenkyle
zhenkyle / Arch Linux mkinitcpio: Possibly missing firmware for module.md
Created May 6, 2016
Arch Linux mkinitcpio: Possibly missing firmware for module
View Arch Linux mkinitcpio: Possibly missing firmware for module.md

Problem

In Arch Linux mkinitcpio -p linux

shows

Possibly missing firmware for module: aic94xx
 Possibly missing firmware for module: wd719x
@zhenkyle
zhenkyle / smbus module load failure.md
Last active May 6, 2016
Solving smbus module load failure ArchLinux Guest on Virualbox
View smbus module load failure.md

Problem

On Archlinux

journalctl -p 3 -xb

shows

piix4_smbus 0000:00:07.0: SMBus base address uninitialized - upgrade BIOS or use force_addr=0xaddr

Slove

@zhenkyle
zhenkyle / java-8-ami.md
Last active May 6, 2016 — forked from rtfpessoa/java-8-ami.md
[Guide] Install Sun Java 8 on Amazon EC2 Ami
View java-8-ami.md

First verify the version of Java being used is not Sun Java 8 SDK

java -version

Check newest Sun Java 8 SDK version from Oracle

http://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html

Get the Sun Java 8 SDK from Oracle

wget --no-cookies --header "Cookie: gpw_e24=xxx; oraclelicense=accept-securebackup-cookie;" "http://download.oracle.com/otn-pub/java/jdk/8u92-b14/jdk-8u92-linux-x64.rpm"

Install Sun Java 8

You can’t perform that action at this time.